%define upstream_name    Game-Life
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Plays Conway's Game of Life
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Game/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Clone)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch: noarch

%description
Conway's Game of Life is a basic example of finding 'living' patterns in
rather basic rulesets (see *NOTES*). The Game of Life takes place on a 2-D
rectangular grid, with each grid point being either alive or dead. If a
living grid point has 2 or 3 neighbors within the surrounding 8 points, the
point will remain alive in the next generation; any fewer or more will kill
it. A dead grid point will become alive if there are exactly 3 living
neighbors to it. With these simple rules, fascinating structures such as
gliders that move across the grid, glider guns that generate these gliders,
XOR gates, and others have been found.

This module simply provides a way to simulate the Game of Life in Perl.

In terms of coordinate systems as used in 'place_points', 'toggle_point'
and other functions, the first coodinate is the vertical direction, 0 being
the top of the board, and the second is the horizontal direaction, 0 being
the left side of the board. Thus, toggling the point of (3,2) will switch
the state of the point in the 4th row and 3rd column.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog

* Sat Nov 26 2011 kharec <kharec> 0.40.0-1.mga2
+ Revision: 172386
- imported package perl-Game-Life


* Sat Nov 26 2011 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
